# Uses of Interface
javax.xml.transform.Result

Packages that use Result
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.
javax.xml.transform.dom
Provides DOM specific transformation classes.
javax.xml.transform.sax
Provides SAX specific transformation classes.
javax.xml.transform.stax
Provides StAX specific transformation classes.
javax.xml.transform.stream
Provides stream and URI specific transformation classes.
javax.xml.validation
Provides an API for validation of XML documents.

## Uses of Result in java.sql

Methods in java.sql with type parameters of type Result
Modifier and Type
Method
Description
`<T extends Result>
T`
SQLXML.`setResult(Class<T> resultClass)`
Returns a Result for setting the XML value designated by this SQLXML instance.

## Uses of Result in javax.xml.stream

Methods in javax.xml.stream with parameters of type Result
Modifier and Type
Method
Description
`abstract XMLEventWriter`
XMLOutputFactory.`createXMLEventWriter(Result result)`
Create a new XMLEventWriter that writes to a JAXP result.
`abstract XMLStreamWriter`
XMLOutputFactory.`createXMLStreamWriter(Result result)`
Create a new XMLStreamWriter that writes to a JAXP result.

## Uses of Result in javax.xml.transform

Methods in javax.xml.transform with parameters of type Result
Modifier and Type
Method
Description
`abstract void`
Transformer.`transform(Source xmlSource, Result outputTarget)`
Transform the XML `Source` to a `Result`.

## Uses of Result in javax.xml.transform.dom

Classes in javax.xml.transform.dom that implement Result
Modifier and Type
Class
Description
`class`
`DOMResult`
Acts as a holder for a transformation result tree in the form of a Document Object Model (DOM) tree.

## Uses of Result in javax.xml.transform.sax

Classes in javax.xml.transform.sax that implement Result
Modifier and Type
Class
Description
`class`
`SAXResult`
Acts as an holder for a transformation Result.
Methods in javax.xml.transform.sax with parameters of type Result
Modifier and Type
Method
Description
`void`
TransformerHandler.`setResult(Result result)`
Set the `Result` associated with this `TransformerHandler` to be used for the transformation.

## Uses of Result in javax.xml.transform.stax

Classes in javax.xml.transform.stax that implement Result
Modifier and Type
Class
Description
`class`
`StAXResult`
Acts as a holder for an XML `Result` in the form of a StAX writer,i.e.

## Uses of Result in javax.xml.transform.stream

Classes in javax.xml.transform.stream that implement Result
Modifier and Type
Class
Description
`class`
`StreamResult`
Acts as an holder for a transformation result, which may be XML, plain Text, HTML, or some other form of markup.

## Uses of Result in javax.xml.validation

Methods in javax.xml.validation with parameters of type Result
Modifier and Type
Method
Description
`abstract void`
Validator.`validate(Source source, Result result)`
Validates the specified input and send the augmented validation result to the specified output.